Jump to content

Arcasdk

Membres
  • Content Count

    277
  • Joined

  • Last visited

Community Reputation

0 Neutral

About Arcasdk

  • Rank
    ceinture marron
  • Birthday 31.08.1981

Contact Methods

  • Website URL
    http://www.Formulan.net
  • Skype
    Arcasdk

Profile Information

  • Gender
    Male
  • Location
    Dunkerque
  1. Non, rien de tout cela, mais donc c'est ptet ça la parade, c'est d'écrire la couleur souhaitée dans le textString. non?
  2. Merci Gégé, ça ne fonctionne pas à chaque fois mais je vais voir ce que je peux faire. Merci beaucoup en tout cas.
  3. Bonjour en lançant un (vlax-dump-object (vlax-ename->vla-object (car (entsel))) T)) sur un AcDbMLeader, je n'ai pas pu trouver la propriété qui gère la couleur du texte textcolor (comme l'on pourrait la trouver dans une côte linéaire ou alignée par exemple). Y a t'il un moyen rapide de gérer la couleur d'un multileader? Merci
  4. Bonjour, j'aimerai connaitre la commande qui permet de lancer dans une routine lisp/vlisp pendant l'exécution d'une routine lisp/vlisp. C'est une macro qui se trouve dans le même dossier et qui a déjà été chargé à l'ouverture du plan. Merci beaucoup
  5. Merci (Gile), d'accord. Dans mon cas, je renomme les "dimstyle" et "mleaderstyle" standard pour pouvoir insérer dans mon dessin courant, sous forme de bloc (que je supprime en fin de routine), une cote linéaire et une ligne de repère multiple qui sont en style "standard". Ainsi j'ai dans mon plan les styles que j'ai l'habitude d'utiliser. Voila, aujourd'hui j'ai réussi à faire ce que je voulais. On verra à la longue si je n'ai pas de surprise. Ce n'est certainement pas la méthode la plus simple pour le faire mais j'ai progresser en code ;-). (defun c:std (/ dirclq) (command "-purge
  6. Merci à tous, Effectivement Patrick_35, ton lisp fonctionne. Il renomme complètement le style standard existant. Je ne comprend pas grand chose au langage utilisé mais ça marche. Bonne journée
  7. Bonjour Giles et bonjour à tous, Dans la continuité de ce message, pourrais je avoir quelques conseils pour finaliser ma macro. Je travaille sur les styles de repère multiple. J'ai compris qu'on ne les trouve pas avec un tblsearch mais avec un dictsearch Ma macro a pour but de renommer un style de repère multiple Voici ma macro : (defun c:renSRM (/ main_dict mlead_sty sty_std) (setq main_dict (namedobjdict)) (setq mlead_sty (dictsearch (namedobjdict) "ACAD_MLEADERSTYLE")) (if (setq sty_std (dictsearch (cdr (assoc -1 mlead_sty)) "Standard")) (entmod (subst (cons 3 "StandardOl
  8. Merci (gile) pour l'optimisation et les précisions de langage. Je prends note. Vos réponses sont riches et très intéressantes. Quelle est la différence entre (vla-put-Lineweight ent acLnWtByLayer) et (vla-put-lineweight ent "-1") Merci
  9. Ah oui...... donc finalement ni de foreach ou de mapcar..... Ça fonctionne. Merci beaucoup
  10. Bonjour à tous, Toujours dans un souci de dessiner plus rapidement en évitant de balader la souris sur le mètre d'écran que je possède en cherchant désespérément le bouton, j'utilise une petite macro qui change le calque des entités sélectionnées via des noms de commande qui sont des numéros. Ma main quitte donc la souris 1 seconde et le tour est joué. Le problème c'est que cette macro s'allonge au fil du temps mais je pense qu'elle peut désormais se raccourcir en utilisant des fonctions telles que "foreach" ou peut être "mapcar". Des fonctions que je ne maîtrise pas encore bien. Voici u
  11. Bonjour, Je suis content de trouver un sujet qui concerne mon problème. Effectivement, autocad ne garde plus en mémoire le style de nuage de révision. J'ai beau chercher une variable sur le site de REBCAO, je ne trouve rien qui gère "ce qui fonctionnait avant"! OK pour un LISP. Merci à plus.
  12. Magnifique. Merci (gile) DDA: dialog{ label="Invite texte : DDA"; initial_focus="txdda"; spacer; :boxed_row{ label="Valeur du texte sélectionné"; :edit_box {key="txdda";edit_width=50;} spacer; } spacer; ok_cancel; }
  13. Bonjour, j'aimerai savoir s'il est possible de forcer la position du curseur dans un edit_box par exemple à l'ouverture de la fenêtre DCL. Et peut être même, mettre en surbrillance le texte qui s'y trouve (dans l'edit_box) Ainsi, je ne suis pas obligé de reprendre ma souris à chaque fois pour cliquer dans le champs qui m'intéresse. Merci Bonne journée
×
×
  • Create New...